<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.bonus.canteen.core.menu.mapper.MenuMaterialFoodSafeConfigMapper">


    <select id="getSafeConfig" resultType="com.bonus.canteen.core.menu.vo.MenuMaterialFoodSafeConfigPageVO">
        SELECT
            a.id,
            a.material_id,
            a.if_need_detect,
            a.detect_institution,
            a.detect_item,
            a.crby,
            a.crtime,
            a.upby,
            a.uptime
        FROM
            menu_material_food_safe_config a
        WHERE
            a.material_id = #{materialId}
    </select>
</mapper>
